public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/netcdf4/
Date: Tue, 18 Jun 2024 04:45:45 +0000 (UTC)	[thread overview]
Message-ID: <1718684790.0d6352641e1d1c52b149578e58f8738d202ec653.mgorny@gentoo> (raw)

commit:     0d6352641e1d1c52b149578e58f8738d202ec653
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 18 04:05:07 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jun 18 04:26:30 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0d635264

dev-python/netcdf4: Bump to 1.7.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/netcdf4/Manifest             |  1 +
 dev-python/netcdf4/netcdf4-1.7.1.ebuild | 55 +++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-python/netcdf4/Manifest b/dev-python/netcdf4/Manifest
index 50cfaf9101f5..4bfb7a2252a8 100644
--- a/dev-python/netcdf4/Manifest
+++ b/dev-python/netcdf4/Manifest
@@ -1 +1,2 @@
 DIST netCDF4-1.6.5.tar.gz 764969 BLAKE2B 6337099fbb66a53f2cda7a39e1b0dbb7b3ab9e6ec04177fc0deca1c86003bc20d9ed5d6ba72d5917766c1b9784c39c7cff328a7b5494aeb46bcc1ac895c13e7c SHA512 10f9b62399cf2d155f44b56d6d0f15950f610e855755bcb6d7d1756ded9ed513e83677ab70f7bc75eaffaca1703f37cc0a48c565927df7eb67beeb5a0be6f8d0
+DIST netcdf4-1.7.1.tar.gz 827831 BLAKE2B a0b6956be7749133f4823f385ea82b84975985814b90e7172ecbfb6d4590cf0809471672375a2331181735d7af622f6302adf2dad5fd95f09e24078bbdc20581 SHA512 69b7465f1d7b138b9f2f18732528207c7a573e0a5637c964a881fddc8f01a53b16c7250c22824a6ee0e3383dccd7f93b1971f95a9d1558d6088709efa7558ce7

diff --git a/dev-python/netcdf4/netcdf4-1.7.1.ebuild b/dev-python/netcdf4/netcdf4-1.7.1.ebuild
new file mode 100644
index 000000000000..686805676544
--- /dev/null
+++ b/dev-python/netcdf4/netcdf4-1.7.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=netCDF4
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="Python/numpy interface to the netCDF C library"
+HOMEPAGE="
+	https://unidata.github.io/netcdf4-python/
+	https://github.com/unidata/netcdf4-python/
+	https://pypi.org/project/netCDF4/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+	dev-python/numpy[${PYTHON_USEDEP}]
+	sci-libs/hdf5:=
+	sci-libs/netcdf:=[hdf5]
+"
+RDEPEND="
+	${DEPEND}
+	dev-python/certifi[${PYTHON_USEDEP}]
+	dev-python/cftime[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	dev-python/cython[${PYTHON_USEDEP}]
+	test? (
+		${RDEPEND}
+		dev-python/packaging[${PYTHON_USEDEP}]
+		sci-libs/netcdf[tools(+)]
+	)
+"
+
+python_test() {
+	local -x NO_NET=1
+	cd test || die
+	"${EPYTHON}" run_all.py || die
+}
+
+pkg_postinst() {
+	optfeature "HDF4 support" sci-libs/hdf "sci-libs/netcdf[hdf]"
+	optfeature "MPI parallel IO support" "sci-libs/hdf5[mpi]" "sci-libs/netcdf[mpi]"
+	optfeature "OPeNDAP support" net-misc/curl "sci-libs/netcdf[dap]"
+}


             reply	other threads:[~2024-06-18  4:45 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-06-18  4:45 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-10  3:24 [gentoo-commits] repo/gentoo:master commit in: dev-python/netcdf4/ Michał Górny
2024-11-10  0:42 Jakov Smolić
2024-11-09 10:20 Arthur Zamarin
2024-10-23  6:16 Michał Górny
2024-10-19 19:20 Michał Górny
2024-07-27  9:28 Arthur Zamarin
2024-07-10 12:45 Michał Górny
2024-07-10 12:45 Michał Górny
2024-06-18 18:03 Michał Górny
2023-12-30 18:30 Michał Górny
2023-11-23 20:11 Michał Górny
2023-10-26  3:12 Michał Górny
2023-10-25 22:37 Marek Szuba
2023-07-24 11:32 Michał Górny
2023-06-06  5:43 Michał Górny
2023-03-15  5:48 Sam James
2023-03-05  3:56 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1718684790.0d6352641e1d1c52b149578e58f8738d202ec653.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox